Bug 124023 - gnome-terminal's reset command no longer clears the terminal
gnome-terminal's reset command no longer clears the terminal
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-22 19:58 EDT by Jonathan Kessler
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:31:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kessler 2004-05-22 19:58:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The reset command previously would clear the console and write a new
prompt. In Fedora Core 2, the console is not cleared; the cursor just
creates a new prompt on the top line. Then, whatever was on the screen
is overwritten as you run commands.


Version-Release number of selected component (if applicable):
gnome-terminal-2.6.0-2

How reproducible:
Always

Steps to Reproduce:
1. Run commands that cause the screen to contain text.
2. Type 'reset' and hit enter.
    

Actual Results:  The console has a new prompt at the top while leaving
the rest of the text on the screen.

Expected Results:  The console is cleared and a new prompt is written
to the screen.

Additional info:
Comment 1 Lamont Peterson 2004-07-04 00:34:51 EDT
I have experienced the same bug on both AMD64 & x86 platforms. 
ADditionally, the terminal's buffer is not cleared, either.
Comment 2 Matthew Miller 2005-04-26 11:55:45 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Ray Strode [halfline] 2005-05-11 17:31:27 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.